<?php
 namespace VnChocola\Model;
 use TCMS\Model;
 use TCMS\FieldModel;
 use FIELD_DATA_TYPE;
 class AvailableCarsModel extends Model {
 public $tableName = 'AvailableCars';
 public function registerField() {
 $this->addField('id', FIELD_DATA_TYPE::STRING);
 $this->addField('HotCustomerID', FIELD_DATA_TYPE::STRING, function(FieldModel $field) {
 $field->required = true;
 }
);
 $this->addField('aCarName', FIELD_DATA_TYPE::STRING);
 $this->addField('aCarModel', FIELD_DATA_TYPE::STRING);
 $this->addField('aColor', FIELD_DATA_TYPE::STRING);
 $this->addField('aCarType', FIELD_DATA_TYPE::STRING);
 $this->addField('aAmount', FIELD_DATA_TYPE::INTEGER);
 }
 }
